[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Запускаем базовую функцию
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];//Имена выходных характеристик модели
SystemShema = xcosDiagramToScilab(fullfile(pathlib, 'Proba1n.zcos'));//Схема системы
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShema,...//Схема системы
                        [],[],..//Параметров нет
                        0.5E-6..//Абсолютная погрешность
                        );

//Получаем тестовую схему
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba1e.zcos'));//Схема системы  

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tol(1), SystemShemae.props.tol(1));
                     
clear;
