[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Запускаем базовую функцию
SystemParametrsNames = ['b', 'au', 'e', 'c'];//Имена параметров
SystemParametrsValues = ['3.129', '1.1', '2.7*b', '5.49'];//Значения параметров
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];//Имена выходных характеристик модели
SystemShema = xcosDiagramToScilab(fullfile(pathlib, 'Proba2.zcos'));//Схема системы
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShema,...//Схема системы
                        SystemParametrsNames,...//Имена параметров
                        SystemParametrsValues,...//Значения параметров
                        0.6E-6,..//Абсолютная погрешность
                        0.4E-6,..//Относительная погрешность
                        9.0..//Время симуляции
                        );

//Получаем тестовую схему
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba2e.zcos'));//Схема системы  

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol([1, 2, 5]),SystemShemae.props.tol([1, 2, 5]));
assert_checkequal(SystemShema.props.context,SystemShemae.props.context);
                
clear;
