[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Запускаем базовую функцию
SystemParametrsNames = ['b', 'd'];//Имена параметров
SystemParametrsValues = [1.5, 3.81];//Значения параметров
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];//Имена выходных характеристик модели
SystemShema = xcosDiagramToScilab(fullfile(pathlib, 'Proba1.zcos'));//Схема системы
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShema,...//Схема системы
                        SystemParametrsNames,...//Имена параметров
                        SystemParametrsValues,...//Значения параметров
                        0.5E-6,..//Абсолютная погрешность
                        0.7E-6..//Относительная погрешность
                        );

//Получаем тестовую схему
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba1e.zcos'));//Схема системы  

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tol([1, 2]),SystemShemae.props.tol([1, 2]));
assert_checkequal(SystemShema.props.context,SystemShemae.props.context);
                      
clear;
